pcl::PolygonMesh Struct Reference

`#include <pcl/PolygonMesh.h>`

## Public Types

typedef boost::shared_ptr< ::pcl::PolygonMesh > | Ptr
typedef boost::shared_ptr< ::pcl::PolygonMesh const > | ConstPtr

## Public Member Functions

| PolygonMesh ()

## Public Attributes

::pcl::PCLHeader | header
::pcl::PCLPointCloud2 | cloud
std::vector< ::pcl::Vertices > | polygons

## Detailed Description

Definition at line 15 of file PolygonMesh.h.

## Member Typedef Documentation

typedef boost::shared_ptr< ::pcl::PolygonMesh const> pcl::PolygonMesh::ConstPtr

Definition at line 29 of file PolygonMesh.h.

typedef boost::shared_ptr< ::pcl::PolygonMesh> pcl::PolygonMesh::Ptr

Definition at line 28 of file PolygonMesh.h.

## Constructor & Destructor Documentation

pcl::PolygonMesh::PolygonMesh | ( |  | ) |

inline

Definition at line 17 of file PolygonMesh.h.

## Member Data Documentation

::pcl::PCLPointCloud2 pcl::PolygonMesh::cloud

Definition at line 22 of file PolygonMesh.h.

Referenced by pcl::Poisson< PointNT >::performReconstruction(), pcl::ConcaveHull< PointInT >::performReconstruction(), pcl::OrganizedFastMesh< PointInT >::performReconstruction(), pcl::ConvexHull< PointInT >::performReconstruction(), pcl::GridProjection< PointNT >::performReconstruction(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), pcl::MeshConstruction< PointInT >::reconstruct(), pcl::OrganizedFastMesh< PointInT >::resetPointData(), pcl::geometry::toFaceVertexMesh(), and pcl::geometry::toHalfEdgeMesh().

::pcl::PCLHeader pcl::PolygonMesh::header

Definition at line 20 of file PolygonMesh.h.

Referenced by pcl::GridProjection< PointNT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), and pcl::MeshConstruction< PointInT >::reconstruct().

std::vector< ::pcl::Vertices> pcl::PolygonMesh::polygons

Definition at line 24 of file PolygonMesh.h.

Referenced by pcl::Poisson< PointNT >::performReconstruction(), pcl::ConcaveHull< PointInT >::performReconstruction(), pcl::OrganizedFastMesh< PointInT >::performReconstruction(), pcl::ConvexHull< PointInT >::performReconstruction(), pcl::GridProjection< PointNT >::performReconstruction(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), pcl::MeshConstruction< PointInT >::reconstruct(), pcl::geometry::toFaceVertexMesh(), and pcl::geometry::toHalfEdgeMesh().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/PolygonMesh.h